> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organisation Variable Api Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json put /api/v1/org/variables/{variable_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/variables/{variable_name}:
    put:
      tags:
        - Variables
      summary: Update Organisation Variable Api Endpoint
      operationId: >-
        update_organisation_variable_api_endpoint_api_v1_org_variables__variable_name__put
      parameters:
        - in: path
          name: variable_name
          required: true
          schema:
            title: Variable Name
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrganisationVariableRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganisationVariableResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    UpdateOrganisationVariableRequest:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        value:
          title: Value
          type: string
      required:
        - value
      title: UpdateOrganisationVariableRequest
      type: object
    OrganisationVariableResult:
      properties:
        variable:
          $ref: '#/components/schemas/OrganisationVariable'
      required:
        - variable
      title: OrganisationVariableResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    OrganisationVariable:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          format: uuid4
          title: Id
          type: string
        name:
          title: Name
          type: string
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        value:
          title: Value
          type: string
      required:
        - id
        - organisation_id
        - name
        - value
        - created_at
        - updated_at
      title: OrganisationVariable
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````